Subject: bug#68698: 30.0.50; Making xt-mouse emit `wheel-up/down`

From: Stefan Monnier <[email-masked]>
Date: Thu, 25 Jan 2024 10:41:03 -0500

Po Lu [2024-01-25 22:16:54] wrote:
> Stefan Monnier <[email-masked]> writes:
>> I'm not suggesting to get rid of those vars.  I'm suggesting to use
>> those vars in the C code when generating the event.
> Why, though?  Why not bind them within input-decode-map, if really
> necessary?

The main reason is that it's painful to do it in `input-decode-map`
because it has to be done not just for `mouse-4/5/6/7` but for all
combinations of possible modifiers (shift, control, alt, meta, super,
hyper, double, triple, down), so that's like a couple thousand entries
we'd need to put in that map.

        Stefan "wishing we had more flexible keymaps (e.g. "procedural"
                keymaps which can compute the binding for a given key)"